import { Routes } from '@angular/router';
import {HomeComponent} from "./home/home.component";
import {UploadComponent} from "./upload/upload.component";
import {DownloadComponent} from "./download/download.component";
import {CreditsComponent} from "./credits/credits.component";
import {LicensesComponent} from "./credits/licenses/licenses.component";

export const routes: Routes = [
  { path: '', redirectTo: 'home', pathMatch: 'full' },
  { path: 'home',  component: HomeComponent },
  { path: 'upload',  component: UploadComponent },
  { path: 'download',  component: DownloadComponent },
  { path: 'credits', component: CreditsComponent },
  { path: 'licenses', component: LicensesComponent },
  // { path: 'download/:id',  component: DownloadComponent }
  { path: '**', redirectTo: 'home' }
];
